#include "Behavioural/Generic/Queue_Control/include/Queue_Control.h"

namespace morpheo {
namespace behavioural {
namespace generic {
namespace queue_control {

#undef  FUNCTION
#define FUNCTION "Queue_Control::clear"
  void Queue_Control::clear  (void)
  {
    log_printf(FUNC,Queue_Control,FUNCTION,"Begin");
	
    // clear all element in control.
    _nb_elt = 0;
    
    _tab->clear();
    for (uint32_t i=0; i<_nb_elt_max; i++)
      _tab->push_back(i);

    log_printf(FUNC,Queue_Control,FUNCTION,"End");
  };
}; // end namespace queue_control
}; // end namespace generic
}; // end namespace behavioural
}; // end namespace morpheo              
